Lock Name Endpoint
POST
/v1/objects/{object_id}/lock-name
const url = 'https://api.cloud.agentums.ru/v1/objects/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/lock-name';const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://api.cloud.agentums.ru/v1/objects/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/lock-name \ --header 'Authorization: Bearer <token>'Зафиксировать «не переименовывать» без смены имени (name_locked=true).
Authorizations
Заголовок раздела «Authorizations»Parameters
Заголовок раздела «Parameters»Path Parameters
Заголовок раздела «Path Parameters»object_id
required
Object Id
string format: uuid
Header Parameters
Заголовок раздела «Header Parameters»Responses
Заголовок раздела «Responses»Successful Response
Media typeapplication/json
ObjectDetail
object
ai_name
Ai Name
string
categories
Categories
Array<string>
content_hash
required
Content Hash
string
created_at
required
Created At
string format: date-time
display_name
Display Name
string
enrichment
Any of:
EnrichmentOut
object
description
Description
string
doc_type
Doc Type
string
entities
Entities
object
key
additional properties
any
keywords
Keywords
Array<string>
language
Language
string
model
Model
string
summary
Summary
string
title
Title
string
null
filename
required
Filename
string
has_corrections
Has Corrections
boolean
id
required
Id
string format: uuid
image_editable
Image Editable
boolean
is_hidden
Is Hidden
boolean
kind
required
Kind
string
mime
required
Mime
string
name_locked
Name Locked
boolean
name_source
Name Source
string
needs_manual
Needs Manual
boolean
original_name
Original Name
string
pdf_tools
Pdf Tools
boolean
size
required
Size
integer
status
required
Status
string
text_fallback
Text Fallback
boolean
text_view
Text View
boolean
updated_at
required
Updated At
string format: date-time
version
Version
integer
Example
{ "ai_name": "", "display_name": "", "enrichment": { "description": "", "doc_type": "other", "language": "", "model": "", "summary": "", "title": "" }, "has_corrections": false, "image_editable": false, "is_hidden": false, "name_locked": false, "name_source": "original", "needs_manual": false, "original_name": "", "pdf_tools": false, "text_fallback": false, "text_view": false, "version": 1}Validation Error
Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationErrorobject
ctx
Context
object
input
Input
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
Examplegenerated
{ "detail": [ { "ctx": {}, "input": "example", "loc": [ "example" ], "msg": "example", "type": "example" } ]}